/*!
 * name: @jswork/next-root-dispatch
 * description: Shortcut for window.dispatchEvent.
 * homepage: https://js.work
 * version: 1.0.1
 * date: 2024-06-06 15:28:54
 * license: MIT
 */

import nx from '@jswork/next';

nx.rootDispatch = function(inName, inPayload) {
  const payload = inPayload == null ? {} : { detail: inPayload };
  const event = new CustomEvent(inName, payload);
  return window.dispatchEvent(event);
};

if (typeof module !== 'undefined' && module.exports && typeof wx === 'undefined') {
  module.exports = nx.rootDispatch;
}

export default nx.rootDispatch;
